package models

type RxDrug struct {
	MedListCodg     string  `json:"med_list_codg"`
	MedinsListCodg  string  `json:"medins_list_codg"`
	HospPrepFlag    string  `json:"hosp_prep_flag"`
	RxItemTypeCode  string  `json:"rx_item_type_code"`
	RxItemTypeName  string  `json:"rx_item_type_name"`
	TcmdrugTypeName string  `json:"tcmdrug_type_name"`
	TcmdrugTypeCode string  `json:"tcmdrug_type_code"`
	TcmherbFoote    string  `json:"tcmherb_foote"`
	MednTypeCode    string  `json:"medn_type_code"`
	MednTypeName    string  `json:"medn_type_name"`
	MainMedcFlag    string  `json:"main_medc_flag"`
	UrgtFlag        string  `json:"urgt_flag"`
	BasMednFlag     string  `json:"bas_medn_flag"`
	ImpDrugFlag     string  `json:"imp_drug_flag"`
	DrugProdname    string  `json:"drug_prodname"`
	GennameCodg     string  `json:"genname_codg"`
	DrugGenname     string  `json:"drug_genname"`
	DrugDosform     string  `json:"drug_dosform"`
	DrugSpec        string  `json:"drug_spec"`
	PrdrName        string  `json:"prdr_name"`
	MedcWayCodg     string  `json:"medc_way_codg"`
	MedcWayDscr     string  `json:"medc_way_dscr"`
	MedcBegntime    string  `json:"medc_begntime"`
	MedcEndtime     string  `json:"medc_endtime"`
	MedcDays        string  `json:"medc_days"`
	DrugPric        string  `json:"drug_pric"`
	DrugSumamt      string  `json:"drug_sumamt"`
	DrugCnt         float64 `json:"drug_cnt"`
	DrugDosunt      string  `json:"drug_dosunt"`
	SinDoscnt       float64 `json:"sin_doscnt"`
	SinDosunt       string  `json:"sin_dosunt"`
	UsedFrquCodg    string  `json:"used_frqu_codg"`
	UsedFrquName    string  `json:"used_frqu_name"`
	DrugTotlcnt     string  `json:"drug_totlcnt"`
	DrugTotlcntEmp  string  `json:"drug_totlcnt_emp"`
	HospApprFlag    string  `json:"hosp_appr_flag"`
	Extras          string  `json:"extras"`
}

type MdtrtInfo struct {
	FixmedinsCode   string `json:"fixmedins_code"`
	FixmedinsName   string `json:"fixmedins_name"`
	MdtrtID         string `json:"mdtrt_id"`
	MedType         string `json:"med_type"`
	IptOtpNo        string `json:"ipt_otp_no"`
	OtpIptFlag      string `json:"otp_ipt_flag"`
	PsnNo           string `json:"psn_no"`
	PatnName        string `json:"patn_name"`
	PsnCertType     string `json:"psn_cert_type"`
	Certno          string `json:"certno"`
	PatnAge         string `json:"patn_age"`
	PatnHgt         string `json:"patn_hgt"`
	PatnWt          string `json:"patn_wt"`
	Gend            string `json:"gend"`
	BirctrlType     string `json:"birctrlType"`
	BirctrlMatnDate string `json:"birctrlMatnDate"`
	MatnType        string `json:"matnType"`
	GesoVal         string `json:"geso_val"`
	NwbFlag         string `json:"nwb_flag"`
	NwbAge          string `json:"nwb_age"`
	SuckPrdFlag     string `json:"suck_prd_flag"`
	AlgsHis         string `json:"algs_his"`
	PrscDeptName    string `json:"prsc_dept_name"`
	PrscDeptCode    string `json:"prsc_dept_code"`
	DrCode          string `json:"dr_code"`
	PrscDrName      string `json:"prsc_dr_name"`
	PrscDrCertType  string `json:"prsc_dr_cert_type"`
	PrscDrCertno    string `json:"prsc_dr_certno"`
	DrProfttlCodg   string `json:"dr_profttl_codg"`
	DrProfttlName   string `json:"dr_profttl_name"`
	DrDeptCode      string `json:"dr_dept_code"`
	DrDeptName      string `json:"dr_dept_name"`
	Caty            string `json:"caty"`
	MdtrtTime       string `json:"mdtrt_time"`
	DiseCodg        string `json:"dise_codg"`
	DiseName        string `json:"dise_name"`
	SpDiseFlag      string `json:"sp_dise_flag"`
	MaindiagCode    string `json:"maindiag_code"`
	MaindiagName    string `json:"maindiag_name"`
	DiseCondDscr    string `json:"dise_cond_dscr"`
	HiFeesetlFlag   string `json:"hi_feesetl_flag"`
	HiFeesetlName   string `json:"hi_feesetl_name"`
	RgstFee         string `json:"rgst_fee"`
	MedfeeSumamt    string `json:"medfee_sumamt"`
	FstdiagFlag     string `json:"fstdiag_flag"`
	Extras          string `json:"extras"`
}

type DiseInfo struct {
	DiagType     string `json:"diag_type"`
	MaindiagFlag string `json:"maindiag_flag"`
	DiagSrtNo    string `json:"diag_srt_no"`
	DiagCode     string `json:"diag_code"`
	DiagName     string `json:"diag_name"`
	DiagDept     string `json:"diag_dept"`
	DiagDrNo     string `json:"diag_dr_no"`
	DiagDrName   string `json:"diag_dr_name"`
	DiagTime     string `json:"diag_time"`
	TcmDiseCode  string `json:"tcm_dise_code"`
	TcmDiseName  string `json:"tcm_dise_name"`
	TcmsympCode  string `json:"tcmsymp_code"`
	Tcmsymp      string `json:"tcmsymp"`
}

type CFYLJG001 struct {
	MdtrtCertType string     `json:"mdtrt_cert_type"`
	MdtrtCertNo   string     `json:"mdtrt_cert_no"`
	CardSn        string     `json:"card_sn"`
	EcToken       string     `json:"ec_token"`
	AuthNo        string     `json:"auth_no"`
	BizTypeCode   string     `json:"biz_type_code"`
	InsuAdmdvs    string     `json:"insu_admdvs"`
	HospRxno      string     `json:"hosp_rxno"`
	InitRxno      string     `json:"init_rxno"`
	RxTypeCode    string     `json:"rx_type_code"`
	PrscTime      string     `json:"prsc_time"`
	RxDrugCnt     float64    `json:"rx_drug_cnt"`
	RxUsedWayCodg string     `json:"rx_used_way_codg"`
	RxUsedWayName string     `json:"rx_used_way_name"`
	RxFrquCodg    string     `json:"rx_frqu_codg"`
	RxFrquName    string     `json:"rx_frqu_name"`
	RxDosunt      string     `json:"rx_dosunt"`
	RxDoscnt      string     `json:"rx_doscnt"`
	RxDrordDscr   string     `json:"rx_drord_dscr"`
	ValiDays      string     `json:"vali_days"`
	ValiEndTime   string     `json:"vali_end_time"`
	ReptFlag      string     `json:"rept_flag"`
	MaxReptCnt    string     `json:"max_rept_cnt"`
	ReptdCnt      string     `json:"reptd_cnt"`
	MinInrvDays   string     `json:"min_inrv_days"`
	RxCotnFlag    string     `json:"rx_cotn_flag"`
	LongRxFlag    string     `json:"long_rx_flag"`
	MdtrtareaNo   string     `json:"mdtrtareaNo"`
	List          []RxDrug   `json:"list"`
	Mdtrtinfo     MdtrtInfo  `json:"mdtrtinfo"`
	Diseinfo      []DiseInfo `json:"diseinfo"`
}

type CFYLJG003 struct {
	RxTraceCode     string `json:"rx_trace_code"`
	HiRxno          string `json:"hi_rxno"`
	MdtrtID         string `json:"mdtrt_id"`
	PatnName        string `json:"patn_name"`
	PsnCertType     string `json:"psn_cert_type"`
	Certno          string `json:"certno"`
	FixmedinsName   string `json:"fixmedins_name"`
	FixmedinsCode   string `json:"fixmedins_code"`
	DrCode          string `json:"dr_code"`
	PrscDrName      string `json:"prsc_dr_name"`
	PharDeptName    string `json:"phar_dept_name"`
	PharDeptCode    string `json:"phar_dept_code"`
	PharProfttlCodg string `json:"phar_profttl_codg"`
	PharProfttlName string `json:"phar_profttl_name"`
	PharCode        string `json:"phar_code"`
	RxFrquName      string `json:"rx_frqu_name"`
	PharCertType    string `json:"phar_cert_type"`
	PharCertno      string `json:"phar_certno"`
	PharName        string `json:"phar_name"`
	PharPracCertNo  string `json:"phar_prac_cert_no"`
	PharChkTime     string `json:"phar_chk_time"`
	RxFile          string `json:"rx_file"`
	SignDigest      string `json:"sign_digest"`
	EcToken      string `json:"ec_token"`

}

type CFYLJG004 struct {
	HiRxno         string `json:"hi_rxno"`
	UndoDrCode     string `json:"undo_dr_code"`
	UndoDrName     string `json:"undo_dr_name"`
	UndoDrCertType string `json:"undo_dr_cert_type"`
	UndoDrCertno   string `json:"undo_dr_certno"`
	UndoRea        string `json:"undo_rea"`
	UndoTime       string `json:"undo_time"`
	FixmedinsCode  string `json:"fixmedins_code"`
}

type CFYLJG005 struct {
	FixmedinsCode string `json:"fixmedins_code"`
	HiRxno        string `json:"hi_rxno"`
	MdtrtID       string `json:"mdtrt_id"`
	EcToken       string `json:"ec_token"`
	PsnName       string `json:"psn_name"`
	PsnCertType   string `json:"psn_cert_type"`
	Certno        string `json:"certno"`
}

type CFYLJG006 struct {
	FixmedinsCode string `json:"fixmedins_code"`
	HiRxno        string `json:"hi_rxno"`
	MdtrtID       string `json:"mdtrt_id"`
	PsnCertType   string `json:"psn_cert_type"`
	Certno        string `json:"certno"`
	PsnName       string `json:"psn_name"`
}

type CFYLJG007 struct {
	FixmedinsCode string `json:"fixmedins_code"`
	HiRxno        string `json:"hi_rxno"`
	MdtrtID       string `json:"mdtrt_id"`
	PsnNo         string `json:"psn_no"`
	PsnCertType   string `json:"psn_cert_type"`
	Certno        string `json:"certno"`
	PsnName       string `json:"psn_name"`


}

type MedinsProdInvChgDDTO struct {
	MedListCodg  string  `json:"medListCodg"`
	Cnt          float64 `json:"cnt"`
}

type CFYLJG008 struct {
	PageNum      int                  `json:"pageNum"`
	PageSize     int                  `json:"pageSize"`
	OrderType    string               `json:"orderType"`
	PoolareaNo   string               `json:"poolareaNo"`
	FixmedinsName string              `json:"fixmedinsName"`
	Lng          string               `json:"lng"`
	Lat          string               `json:"lat"`
	MedList      []MedinsProdInvChgDDTO `json:"medinsProdInvChgDDTOList"`
}


type HisPrescriptionFlow struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	RxTraceCode    string `gorm:"column:rx_trace_code" json:"rx_trace_code" form:"rx_trace_code"`
	HiRxno         string `gorm:"column:hi_rxno" json:"hi_rxno" form:"hi_rxno"`
	RequestLog     string `gorm:"column:request_log" json:"request_log" form:"request_log"`
	ResultLog      string `gorm:"column:result_log" json:"result_log" form:"result_log"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	OriginalValue  string `gorm:"column:original_value" json:"original_value" form:"original_value"`
	OriginalRxFile string `gorm:"column:original_rx_file" json:"original_rx_file" form:"original_rx_file"`
	RxFile         string `gorm:"column:rx_file" json:"rx_file" form:"rx_file"`
	SignDigest     string `gorm:"column:sign_digest" json:"sign_digest" form:"sign_digest"`
	SignCertSn     string `gorm:"column:sign_cert_sn" json:"sign_cert_sn" form:"sign_cert_sn"`
	SignCertDn     string `gorm:"column:sign_cert_dn" json:"sign_cert_dn" form:"sign_cert_dn"`
	MID            string `gorm:"column:m_id" json:"m_id" form:"m_id"`
	DCode            string `gorm:"column:d_code" json:"d_code" form:"d_code"`
	DID           int64 `gorm:"column:d_id" json:"d_id" form:"d_id"`


}

func (HisPrescriptionFlow) TableName() string {
	return "his_prescription_flow"
}
