package models

type QualityControlStandard struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionMinor int64  `gorm:"column:inspection_minor" json:"inspection_minor" form:"inspection_minor"`
	MinRange        string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	Sort            int64  `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	LargeRange      string `gorm:"column:large_range" json:"large_range" form:"large_range"`
	RangeType       int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeValue      string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	Unit            string `gorm:"column:unit" json:"unit" form:"unit"`
	ProjectName     string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	ItemName        string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	IsStatus        int64  `gorm:"column:is_status" json:"is_status" form:"is_status"`
}

type XtQualityControlStandard struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionMinor int64  `gorm:"column:inspection_minor" json:"inspection_minor" form:"inspection_minor"`
	MinRange        string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	Sort            int64  `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	LargeRange      string `gorm:"column:large_range" json:"large_range" form:"large_range"`
	RangeType       int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeValue      string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	IsStatus        int64  `gorm:"column:is_status" json:"is_status" form:"is_status"`
}

func (XtQualityControlStandard) TableName() string {
	return "xt_quality_control_standard"
}

type CheckConfiguration struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor     int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionFrequency string `gorm:"column:inspection_frequency" json:"inspection_frequency" form:"inspection_frequency"`
	Sort                int64  `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime         int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectName         string `gorm:"column:project_name" json:"project_name" form:"project_name"`
}

type XtCheckConfiguration struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor     int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionFrequency string `gorm:"column:inspection_frequency" json:"inspection_frequency" form:"inspection_frequency"`
	Sort                int64  `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime         int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtCheckConfiguration) TableName() string {
	return "xt_check_configuration"
}

type PatientPrescriptionCountStruct struct {
	ModeId int64 `json:"mode_id"`
	Count  int64 `json:"count"`
}

type PatientLapsetoCountStruct struct {
	lapseto_type int64 `json:"lapseto_type"`
	Count        int64 `json:"count"`
}

type SgjDialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage" form:"stage"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse" form:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse" form:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse" form:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator" form:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier" form:"finish_modifier"`
	SchedualType   int64  `gorm:"column:schedual_type" json:"schedual_type" form:"schedual_type"`
	Number         int64  `gorm:"column:number" json:"number" form:"number"`
	UserName       int64  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	WashpipeNurse  int64  `gorm:"column:washpipe_nurse" json:"washpipe_nurse" form:"washpipe_nurse"`
}

func (SgjDialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type PatientContagionsCountStruct struct {
	DiseaseId int64 `json:"disease_id"`
	Count     int64 `json:"count"`
}

type PatientAgeCountStruct struct {
	Age   int64 `json:"age"`
	Count int64 `json:"count"`
}

type DialysisAgePieDataStruct struct {
	Age   int64 `json:"age"`
	Count int64 `json:"count"`
}

type BloodPatients struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
	InfectiousNextRecordTime     int64   `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time" form:"infectious_next_record_time"`
	IsInfectious                 int64   `gorm:"column:is_infectious" json:"is_infectious" form:"is_infectious"`
	RemindCycle                  int64   `gorm:"column:remind_cycle" json:"remind_cycle" form:"remind_cycle"`
	ResponseResult               string  `gorm:"column:response_result" json:"response_result" form:"response_result"`
	IsOpenRemind                 int64   `gorm:"column:is_open_remind" json:"is_open_remind" form:"is_open_remind"`
	FirstTreatmentDate           int64   `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	DialysisAge                  int64   `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind                  int64   `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                    string  `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	ContactName                  string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	UserSysBeforeCount           int64   `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	IsExcelExport                int64   `gorm:"column:is_excel_export" json:"is_excel_export" form:"is_excel_export"`
}

func (BloodPatients) TableName() string {
	return "xt_patients"
}

type BloodDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount" form:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering" form:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode" form:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access" form:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor" form:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id" form:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart" form:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms" form:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set" form:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16" form:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion" form:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised" form:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer" form:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers" form:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector" form:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines" form:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis" form:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package" form:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid" form:"a_liquid"`
	Name                       string  `gorm:"column:name" json:"name" form:"name"`
	DialysisNo                 string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	IdCardNo                   string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	TotalDialysis              int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	UserSysBeforeCount         int64   `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	AnticoagulantStopTimeMin   int64   `gorm:"column:anticoagulant_stop_time_min" json:"anticoagulant_stop_time_min" form:"anticoagulant_stop_time_min"`
	AnticoagulantStopTimeHour  int64   `gorm:"column:anticoagulant_stop_time_hour" json:"anticoagulant_stop_time_hour" form:"anticoagulant_stop_time_hour"`
}

func (BloodDialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type DialysisTotalDataStruct struct {
	Date   string `json:"date"`
	Number string `json:"number"`
	ModeID string `json:"mode_id"`
}

//type UserInspectionProjectCount struct {
//  PatientId int64
//  Count     int64
//  ProjectId int64
//}

type InspectionReferenceMaps struct {
	ProjectName        string               `gorm:"-" json:"project_name" form:"project_name"`
	Project            string               `gorm:"-" json:"project" form:"project"`
	ProjectId          int64                `gorm:"-" json:"project_id" form:"project_id"`
	Count              int64                `gorm:"-" json:"count" form:"count"`
	CheckConfiguration []CheckConfiguration `gorm:"-" json:"inspection_reference" form:"inspection_reference"`
}

type VmPatientInspectionTwo struct {
	ItemId int64 `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Total  int64
	Count  int64
	Sort   int64 `gorm:"column:sort" json:"sort" form:"sort"`
}

type VmPatientInspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	RangMax      string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangMin      string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	Total        int64
	Count        int64
	Sort         int64 `gorm:"column:sort" json:"sort" form:"sort"`
}

type XtPatientInspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	RangMax      string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangMin      string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	Count        int64
}

type PatientsInspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
}

func (PatientsInspection) TableName() string {

	return "xt_inspection"
}

type PatientInspectionProjectCount struct {
	PatientId   int64
	Count       int64
	ProjectId   int64
	ProjectName string
	Name        string `gorm:"column:name" json:"name" form:"name"`
}

type ProjectCountOne struct {
	Total   string
	Count   int64
	NoCount int64
}

type ProjectCountTwo struct {
	Name  string
	Count int64
}

type ProjectCount struct {
	Total string
	Count int64
}

type PatientInspectionCount struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	RangMax      string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangMin      string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	Unit         string `gorm:"column:unit" json:"unit" form:"unit"`
	DialysisNo   string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	RangeValue   string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	Sort         int64  `gorm:"column:sort" json:"sort" form:"sort"`
	LargeRange   string `gorm:"column:large_range" json:"large_range" form:"large_range"`
	MinRange     string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	RangeType    int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
}

func (PatientInspectionCount) TableName() string {

	return "xt_inspection"
}

type BloodDialysisOrderCount struct {
	PatientId int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Count     int64
}

type BloodDialysisOrder struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	DialysisDate       int64  `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PrescriptionId     int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Stage              int64  `gorm:"column:stage" json:"stage" form:"stage"`
	Remark             string `gorm:"column:remark" json:"remark" form:"remark"`
	BedId              int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	StartNurse         int64  `gorm:"column:start_nurse" json:"start_nurse" form:"start_nurse"`
	FinishNurse        int64  `gorm:"column:finish_nurse" json:"finish_nurse" form:"finish_nurse"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime        int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	PunctureNurse      int64  `gorm:"column:puncture_nurse" json:"puncture_nurse" form:"puncture_nurse"`
	Creator            int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	FinishCreator      int64  `gorm:"column:finish_creator" json:"finish_creator" form:"finish_creator"`
	FinishModifier     int64  `gorm:"column:finish_modifier" json:"finish_modifier" form:"finish_modifier"`
	SchedualType       int64  `gorm:"column:schedual_type" json:"schedual_type" form:"schedual_type"`
	StartTime          int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime            int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	ModeId             int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Name               string `gorm:"column:name" json:"name" form:"name"`
	DialysisNo         string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	IdCardNo           string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	TotalDialysis      int64  `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	UserSysBeforeCount int64  `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
}

type TreatDialysisOrder struct {
	Date string `json:"date"`
}

type TreatTotalStruct struct {
	Number string `json:"number"`
	ModeID string `json:"mode_id"`
}

type XTMonitoringRecords struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	Monitoring_date        int64   `gorm:"column:monitoring_date" json:"monitoring_date"`
	Name                   string  `gorm:"column:name" json:"name"`
}

type XTMonitoringRecord struct {
	ID                        int64   `gorm:"column:id" json:"id"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64   `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId           int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate            int64   `gorm:"column:monitoring_date" json:"monitoring_date"`
	OperateTime               int64   `gorm:"column:operate_time" json:"operate_time"`
	MonitoringTime            string  `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency            float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate             float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure     float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure    float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType         int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                       string  `gorm:"column:pic" json:"pic"`
	BloodFlowVolume           float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure            float64 `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureType        int64   `gorm:"column:venous_pressure_type" json:"venous_pressure_type"`
	ArterialPressure          float64 `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	ArterialPressureType      int64   `gorm:"column:arterial_pressure_type" json:"arterial_pressure_type"`
	TransmembranePressure     float64 `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureType int64   `gorm:"column:transmembrane_pressure_type" json:"transmembrane_pressure_type"`
	UltrafiltrationRate       float64 `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume     float64 `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration       float64 `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	DialysateTemperature      float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Temperature               float64 `gorm:"column:temperature" json:"temperature"`
	ReplacementRate           float64 `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity      float64 `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                       float64 `gorm:"column:ktv" json:"ktv"`
	Symptom                   string  `gorm:"column:symptom" json:"symptom"`
	Dispose                   string  `gorm:"column:dispose" json:"dispose"`
	Result                    string  `gorm:"column:result" json:"result"`
	MonitoringNurse           int64   `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                    int64   `gorm:"column:status" json:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time"`
	Conductivity              float64 `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity  float64 `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
	BloodOxygenSaturation     string  `gorm:"column:blood_oxygen_saturation" json:"blood_oxygen_saturation" form:"blood_oxygen_saturation"`
	Creator                   int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                    int64   `gorm:"column:modify" json:"modify" form:"modify"`
	Heparin                   float64 `gorm:"column:heparin" json:"heparin" form:"heparin"`
	DialysateFlow             float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Sort                      int64   `gorm:"column:sort" json:"sort"`
}

func (XTMonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type VmMonitoringRecord struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	MonitoringTime         string  `gorm:"column:monitoring_time" json:"monitoring_time"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
}

func (VmMonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type XtPatientsInspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	MinRange     string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	LargeRange   string `gorm:"column:large_range" json:"large_range" form:"large_range"`
	RangeType    int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeValue   string `gorm:"column:range_value" json:"range_value" form:"range_value"`
}

type BloodDialysisModeIdCount struct {
	PatientId int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ModeId    int64 `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Count     int64
}

type BloodTreateModeIdCount struct {
	ModeId       int64 `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Count        int64
	DialysisDate int64 `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
}

type BloodLapsetoCount struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	Count       int64
	LapsetoTime int64 `gorm:"column:lapseto_time" json:"lapseto_time" form:"lapseto_time"`
	LapsetoType int64 `gorm:"column:lapseto_type" json:"lapseto_type" form:"lapseto_type"`
}
