package models

type DoctorSchedules struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	ClassName       string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	ClassAttributes int64  `gorm:"column:class_attributes" json:"class_attributes" form:"class_attributes"`
	TimeoneStart    string `gorm:"column:timeone_start" json:"timeone_start" form:"timeone_start"`
	TimeoneType     int64  `gorm:"column:timeone_type" json:"timeone_type" form:"timeone_type"`
	TimeoneEnd      string `gorm:"column:timeone_end" json:"timeone_end" form:"timeone_end"`
	TimetwoStart    string `gorm:"column:timetwo_start" json:"timetwo_start" form:"timetwo_start"`
	TimetwoType     int64  `gorm:"column:timetwo_type" json:"timetwo_type" form:"timetwo_type"`
	TimetwoEnd      string `gorm:"column:timetwo_end" json:"timetwo_end" form:"timetwo_end"`
	WorkTime        string `gorm:"column:work_time" json:"work_time" form:"work_time"`
	Remarks         string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime           int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Minute          int64  `gorm:"column:minute" json:"minute" form:"minute"`
}

func (DoctorSchedules) TableName() string {
	return "xt_doctor_schedules"
}

type StaffSchedule struct {
	ID           int64 `gorm:"column:id" json:"id" form:"id"`
	DoctorId     int64 `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	DoctorType   int64 `gorm:"column:doctor_type" json:"doctor_type" form:"doctor_type"`
	ScheduleType int64 `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64 `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	UserOrgId    int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	StartTime    int64 `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime      int64 `gorm:"column:end_time" json:"end_time" form:"end_time"`
	Status       int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ScheduleDate int64 `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
}

func (StaffSchedule) TableName() string {
	return "xt_staff_schedule"
}

type XtStaffSchedule struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	DoctorId        int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	DoctorType      int64  `gorm:"column:doctor_type" json:"doctor_type" form:"doctor_type"`
	ScheduleType    int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek    int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	StartTime       int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime         int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime           int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ScheduleDate    int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	UserName        string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	ClassName       string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	AdminUserId     int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserType        int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	ClassAttributes int64  `gorm:"column:class_attributes" json:"class_attributes" form:"class_attributes"`
	Sort            int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsSort          int64  `gorm:"column:is_sort" json:"is_sort" form:"is_sort"`
	WorkTime        string `gorm:"column:work_time" json:"work_time" form:"work_time"`
	Minute          int64  `gorm:"column:minute" json:"minute" form:"minute"`
}

type XTSgjUserAdminRole struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserName    string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	UserType    int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle   int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Sort        int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsSort      int64  `gorm:"column:is_sort" json:"is_sort" form:"is_sort"`
}

func (XTSgjUserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type ContinueSchedule struct {
	IsStatus  int64 `gorm:"column:is_status" json:"is_status" form:"is_status"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (ContinueSchedule) TableName() string {
	return "xt_continue_schedule"
}

type CountStaffSchedule struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	DoctorId      int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	StartTime     int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime       int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	ScheduleDate  int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	UserName      string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	ClassName     string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	Sort          int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Count         int64
	TotalMininute int64 `gorm:"column:totalminute" json:"totalminute" form:"totalminute"`
	WorkMinute    int64 `gorm:"column:workminute" json:"workminute" form:"workminute"`
}
