package models

type FapiaoConfig struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	IsUse             int64  `gorm:"column:is_use" json:"is_use" form:"is_use"`
	TaxpayerId        string `gorm:"column:taxpayer_id" json:"taxpayer_id" form:"taxpayer_id"`
	TerminalCode      string `gorm:"column:terminal_code" json:"terminal_code" form:"terminal_code"`
	SellerTaxpayerNum string `gorm:"column:seller_taxpayer_num" json:"seller_taxpayer_num" form:"seller_taxpayer_num"`
	SellerAddress     string `gorm:"column:seller_address" json:"seller_address" form:"seller_address"`
	SellerTel         string `gorm:"column:seller_tel" json:"seller_tel" form:"seller_tel"`
	SellerBankName    string `gorm:"column:seller_bank_name" json:"seller_bank_name" form:"seller_bank_name"`
	SellerBankAccount string `gorm:"column:seller_bank_account" json:"seller_bank_account" form:"seller_bank_account"`
	TitleType         string `gorm:"column:title_type" json:"title_type" form:"title_type"`
	BuyerTitle        string `gorm:"column:buyer_title" json:"buyer_title" form:"buyer_title"`
	CallbackUrl       string `gorm:"column:callback_url" json:"callback_url" form:"callback_url"`
	UserOpenid        string `gorm:"column:user_openid" json:"user_openid" form:"user_openid"`
}

func (FapiaoConfig) TableName() string {
	return "fapiao_config"
}

type HisOrderByFaPiao struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId       int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate int64  `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Number             string `gorm:"column:number" json:"number" form:"number"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode            int64  `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg            string `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo             string `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg             string `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime        string `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid        string `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus        int64  `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId            string `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId             string `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo              string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName            string `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType        string `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno             string `gorm:"column:certno" json:"certno" form:"certno"`
	Gend               string `gorm:"column:gend" json:"gend" form:"gend"`
	Insutype           string `gorm:"column:insutype" json:"insutype" form:"insutype"`
	SetlTime           string `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MedType            string `gorm:"column:med_type" json:"med_type" form:"med_type"`
	FaPiaoSn           string `gorm:"column:fa_piao_sn" json:"fa_piao_sn" form:"fa_piao_sn"`

	MedfeeSumamt   float64        `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FaPiaoCode     string         `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber   string         `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`
	Patients       Patients       `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient     HisPatient     `gorm:"ForeignKey:MdtrtId;AssociationForeignKey:Number" json:"his_patient"`
	HisFaPiaoOrder HisFaPiaoOrder `gorm:"ForeignKey:FaPiaoSn;AssociationForeignKey:OrderSn" json:"result"`
	Creator        int64          `gorm:"column:creator" json:"creator" form:"creator"`
}

func (HisOrderByFaPiao) TableName() string {
	return "his_order"
}

type HisFaPiaoOrder struct {
	ID                int64    `gorm:"column:id" json:"id" form:"id"`
	InvoiceId         string   `gorm:"column:invoice_id" json:"invoice_id" form:"invoice_id"`
	OrderSn           string   `gorm:"column:order_sn" json:"order_sn" form:"order_sn"`
	TicketSn          string   `gorm:"column:ticket_sn" json:"ticket_sn" form:"ticket_sn"`
	TicketDate        string   `gorm:"column:ticket_date" json:"ticket_date" form:"ticket_date"`
	AmountWithTax     string   `gorm:"column:amount_with_tax" json:"amount_with_tax" form:"amount_with_tax"`
	AmountWithoutTax  string   `gorm:"column:amount_without_tax" json:"amount_without_tax" form:"amount_without_tax"`
	TaxAmount         string   `gorm:"column:tax_amount" json:"tax_amount" form:"tax_amount"`
	IsRedWashed       string   `gorm:"column:is_red_washed" json:"is_red_washed" form:"is_red_washed"`
	PdfUrl            string   `gorm:"column:pdf_url" json:"pdf_url" form:"pdf_url"`
	OfdUrl            string   `gorm:"column:ofd_url" json:"ofd_url" form:"ofd_url"`
	XmlUrl            string   `gorm:"column:xml_url" json:"xml_url" form:"xml_url"`
	FapiaoStatus      string   `gorm:"column:fapiao_status" json:"fapiao_status" form:"fapiao_status"`
	OrderIds          string   `gorm:"column:order_ids" json:"order_ids" form:"order_ids"`
	UserOrgId         int64    `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status            int64    `gorm:"column:status" json:"status" form:"status"`
	PatientId         int64    `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime             int64    `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64    `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator           string   `gorm:"column:creator" json:"creator" form:"creator"`
	MedfeeSumamt      float64  `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	PsnCashPay        float64  `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	FundPaySumamt     float64  `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	RedInvoiceId      string   `gorm:"column:red_invoice_id" json:"red_invoice_id" form:"red_invoice_id"`
	RedInvoiceCreator string   `gorm:"column:red_invoice_creator" json:"red_invoice_creator" form:"red_invoice_creator"`
	Patients          Patients `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	Message           string   `gorm:"column:message" json:"message" form:"message"`
}

func (HisFaPiaoOrder) TableName() string {
	return "his_fapiao_order"
}
