package models

type MiddleSyncInfo struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId           int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	SyncTime        int64  `gorm:"column:sync_time" json:"sync_time" form:"sync_time"`
	SyncResultType  int    `gorm:"column:sync_result_type" json:"sync_result_type" form:"sync_result_type"`
	SyncRsultRemark string `gorm:"column:sync_result_remark" json:"sync_result_remark" form:"sync_result_remark"`
	SyncTotalNum    int64  `gorm:"column:sync_total_num" json:"sync_total_num" form:"sync_total_num"`
	SyncSuccessNum  int64  `gorm:"column:sync_success_num" json:"sync_success_num" form:"sync_success_num"`
	SyncInfo        string `gorm:"column:sync_info" json:"sync_info" form:"sync_info"`
	CreateTime      int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime      int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (MiddleSyncInfo) TableName() string {
	return "xt_middle_sync_info"
}

type MiddleInterface struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Creater        int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Pattern        int    `gorm:"column:pattern" json:"pattern" form:"pattern"`
	Dbhost         string `gorm:"column:dbhost" json:"dbhost" form:"dbhost"`
	Dbuser         string `gorm:"column:dbuser" json:"dbuser" form:"dbuser"`
	Dbpassword     string `gorm:"column:dbpassword" json:"dbpassword" form:"dbpassword"`
	Dbname         string `gorm:"column:dbname" json:"dbname" form:"dbname"`
	InterfaceUrl   string `gorm:"column:interface_url" json:"interface_url" form:"interface_url"`
	InterFaceToken string `gorm:"column:interface_token" json:"interface_token" form:"interface_token"`
	AllowIp        string `gorm:"column:allow_ip" json:"allow_ip" form:"allow_ip"`
	AllowToken     string `gorm:"column:allow_token" json:"allow_token" form:"allow_token"`
	SyncFrequency  int    `gorm:"column:sync_frequency" json:"sync_frequency" form:"sync_frequency"`
	Status         int    `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (MiddleInterface) TableName() string {
	return "xt_middle_interface"
}

type VMPatients struct {
	ID                           int64                `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64                `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64                `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string               `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64                `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string               `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string               `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64                `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64                `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64                `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64                `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string               `gorm:"column:name" json:"name" form:"name"`
	Alias                        string               `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64                `gorm:"column:gender" json:"gender" form:"gender"`
	Nation                       string               `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string               `gorm:"column:native_place" json:"native_place" form:"native_place"`
	MaritalStatus                int64                `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string               `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64                `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64                `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64                `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string               `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64                `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64                `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64                `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64                `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64                `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64                `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64                `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string               `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string               `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string               `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string               `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string               `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string               `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string               `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64                `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64                `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64                `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64                `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string               `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string               `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string               `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64                `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64                `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64                `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64                `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64                `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64                `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64                `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string               `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string               `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string               `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64                `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string               `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string               `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64                `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string               `gorm:"column:patient_complains" json:"patient_complains"` // 主诉
	PresentHistory               string               `gorm:"column:present_history" json:"present_history"`     // 现病史
	PastHistory                  string               `gorm:"column:past_history" json:"past_history"`           // 既往史
	Temperature                  float64              `gorm:"column:temperature" json:"temperature"`             // 体格检查-体温
	Pulse                        int64                `gorm:"column:pulse" json:"pulse"`                         // 体格检查-脉搏
	Respiratory                  int64                `gorm:"column:respiratory" json:"respiratory"`             // 体格检查-呼吸频率
	SBP                          int64                `gorm:"column:sbp" json:"sbp"`                             // 体格检查-收缩压
	DBP                          int64                `gorm:"column:dbp" json:"dbp"`                             // 体格检查-舒张压
	Status                       int64                `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64                `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64                `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DialysisSolutions            []DialysisSolution   `json:"solutions" gorm:"foreignkey:PatientId"`
	Age                          int64                `gorm:"column:age" json:"age"`
	Schedules                    []Schedule           `json:"schedules" gorm:"foreignkey:PatientId"`
	Contagions                   []InfectiousDiseases `json:"contagions" gorm:"foreignkey:PatientId"`
	Diseases                     []ChronicDiseases    `json:"diseases" gorm:"foreignkey:PatientId"`

	InfectiousNextRecordTime int64         `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time"`
	IsInfectious             int64         `gorm:"column:is_infectious" json:"is_infectious"`
	RemindCycle              int64         `gorm:"column:remind_cycle" json:"remind_cycle"`
	ResponseResult           string        `gorm:"column:response_result" json:"response_result"`
	IsOpenRemind             int64         `gorm:"column:is_open_remind" json:"is_open_remind"`
	DialysisAge              int64         `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind              int64         `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                string        `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	FirstTreatmentDate       int64         `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	ContactName              string        `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	VMHisPatients            VMHisPatients `gorm:"ForeignKey:XtPatientId;AssociationForeignKey:ID" json:"his_patient"`
	UserSysBeforeCount       int64         `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
}

func (VMPatients) TableName() string {
	return "xt_patients"
}

type VMHisPatients struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisUserId   string `gorm:"column:his_user_id" json:"his_user_id" form:"his_user_id"`
	XtPatientId int64  `gorm:"column:xt_patient_id" json:"xt_patient_id" form:"xt_patient_id"`
}

func (VMHisPatients) TableName() string {
	return "xt_middle_patients"
}

type HisPatients struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
	InfectiousNextRecordTime     int64   `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time" form:"infectious_next_record_time"`
	IsInfectious                 int64   `gorm:"column:is_infectious" json:"is_infectious" form:"is_infectious"`
	RemindCycle                  int64   `gorm:"column:remind_cycle" json:"remind_cycle" form:"remind_cycle"`
	ResponseResult               string  `gorm:"column:response_result" json:"response_result" form:"response_result"`
	IsOpenRemind                 int64   `gorm:"column:is_open_remind" json:"is_open_remind" form:"is_open_remind"`
	FirstTreatmentDate           int64   `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	DialysisAge                  int64   `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind                  int64   `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                    string  `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	ContactName                  string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	HisUserId                    string  `gorm:"column:his_user_id" json:"his_user_id" form:"his_user_id"`
	XtPatientId                  int64   `gorm:"column:xt_patient_id" json:"xt_patient_id" form:"xt_patient_id"`
}

func (HisPatients) TableName() string {
	return "xt_middle_patients"
}

type HisUserAdminRole struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId      int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName    string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar      string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType    int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle   int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro       string `gorm:"column:intro" json:"intro" form:"intro"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	HisUserId   string `gorm:"column:his_user_id" json:"his_user_id" form:"his_user_id"`
	XtRoleId    int64  `gorm:"column:xt_role_id" json:"xt_role_id" form:"xt_role_id"`
}

func (HisUserAdminRole) TableName() string {
	return "xt_middle_user_admin_role"
}

type VMUserAdminRole struct {
	ID               int64            `gorm:"column:id" json:"id" form:"id"`
	AdminUserId      int64            `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId            int64            `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId            int64            `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId           int64            `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName         string           `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar           string           `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType         int64            `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle        int64            `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro            string           `gorm:"column:intro" json:"intro" form:"intro"`
	Status           int64            `gorm:"column:status" json:"status" form:"status"`
	Ctime            int64            `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64            `gorm:"column:mtime" json:"mtime" form:"mtime"`
	VMUserAdmin      VMUserAdmin      `gorm:"ForeignKey:ID;AssociationForeignKey:AdminUserId" json:"admin"`
	HisUserAdminRole HisUserAdminRole `gorm:"ForeignKey:XtRoleId;AssociationForeignKey:ID" json:"middle_admin_role"`
	VMUserRole       VMUserRole       `gorm:"ForeignKey:ID;AssociationForeignKey:RoleId" json:"role"`
}

func (VMUserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type VMUserAdmin struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Mobile       string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Password     string `gorm:"column:password" json:"password" form:"password"`
	IsSuperAdmin int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Source       int64  `gorm:"column:source" json:"source" form:"source"`
	Ttype        int64  `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Ttid         int64  `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid         int64  `gorm:"column:tuid" json:"tuid" form:"tuid"`
}

func (VMUserAdmin) TableName() string {
	return "sgj_user_admin"
}

type VMUserRole struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	RoleName         string `gorm:"column:role_name" json:"role_name" form:"role_name"`
	RoleIntroduction string `gorm:"column:role_introduction" json:"role_introduction" form:"role_introduction"`
	Creator          int64  `gorm:"column:creator" json:"creator" form:"creator"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId            int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	IsSuperAdmin     int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (VMUserRole) TableName() string {
	return "sgj_user_role"
}
