package models

type JSResult3260 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     string `json:"infcode"`
	Output      struct {
		Data struct {
			FixmedinsCode string `json:"fixmedins_code"`
			FixmedinsName string `json:"fixmedins_name"`
			FixBlngAdmdvs string `json:"fix_blng_admdvs"`
			EnabFlag      string `json:"enab_flag"`
		} `json:"data"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}

type JSResult3261 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     string `json:"infcode"`
	Output      struct {
		Data struct {
			FixmedinsCode string `json:"fixmedins_code"`
			FixmedinsName string `json:"fixmedins_name"`
			FixBlngAdmdvs string `json:"fix_blng_admdvs"`
			StmtStatus    string `json:"stmt_status"`
		} `json:"data"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}

type FixMonRecDetailFileIn struct {
	Insutype      string `json:"insutype"`
	PsnType       string `json:"psn_type"`
	MedType       string `json:"med_type"`
	FixBlngAdmdvs string `json:"fix_blng_admdvs,omitempty"`
	InsuAdmdvs    string `json:"insu_admdvs,omitempty"`
	PsnTime       int    `json:"psn_time"`
	PsnCnt        int    `json:"psn_cnt"`
	Sumamt        string `json:"sumamt"`
	Amt           string `json:"amt"`
	Fund          string `json:"fund"`
	FundKey       string `json:"fund_key"`
}

type FixMonRecDetailFileInTwo struct {
	SetlDate      string  `json:"setl_date"`
	Insutype      string  `json:"insutype"`
	PsnType       string  `json:"psn_type"`
	MedType       string  `json:"med_type"`
	FixBlngAdmdvs string  `json:"fix_blng_admdvs,omitempty"`
	InsuAdmdvs    string  `json:"insu_admdvs,omitempty"`
	PsnTime       int     `json:"psn_time"`
	PsnCnt        int     `json:"psn_cnt"`
	MedfeeSumAmt  float64 `json:"medfee_sumamt"`
	InscpAmt      float64 `json:"inscp_amt"`
	FundPaySumAmt float64 `json:"fund_pay_sumamt"`
	FundKey       string  `json:"fund_key"`
}

type Fund struct {
	FundKey       string  `json:"fund_key"`
	FixBlngAdmdvs string  `json:"fix_blng_admdvs,omitempty"`
	InsuAdmdvs    string  `json:"insu_admdvs,omitempty"`
	FundCode      string  `json:"fund_code"`
	FundName      string  `json:"fund_name,omitempty"`
	FundAmt       float64 `json:"fund_amt"`
	Memo          string  `json:"memo,omitempty"`
}

type JSResult3263 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     string `json:"infcode"`
	Output      []struct {
		SolidifyID    string  `json:"solidify_id"`
		FixmedinsCode string  `json:"fixmedins_code"`
		FixmedinsName string  `json:"fixmedins_name"`
		FixBlngAdmdvs string  `json:"fix_blng_admdvs"`
		SetlMon       string  `json:"setl_mon"`
		Insutype      string  `json:"insutype"`
		PsnType       string  `json:"psn_type,omitempty"`
		MedType       string  `json:"med_type"`
		InsuAdmdvs    string  `json:"insu_admdvs,omitempty"`
		PsnTime       int     `json:"psn_time"`
		PsnCnt        int     `json:"psn_cnt"`
		MedfeeSumAmt  float64 `json:"medfee_sumamt"`
		InscpAmt      float64 `json:"inscp_amt"`
		FundCode      string  `json:"fund_code"`
		FundName      string  `json:"fund_name,omitempty"`
		FundAmt       float64 `json:"fund_amt"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}

type JSResult3264 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     string `json:"infcode"`
	Output      struct {
		Data struct {
			SolidifyID []string `json:"solidifyIdList,omitempty"`
		} `json:"solidifyIdList"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}

type JSResult3266Data struct {
	ClrOptins     string `json:"clr_optins"`
	FixmedinsCode string `json:"fixmedins_code"`
	FixmedinsName string `json:"fixmedins_name"`
	FixBlngAdmdvs string `json:"fix_blng_admdvs"`
	SetlMon       string `json:"setl_mon"`
	StmtBegnDate  string `json:"stmt_begndate"`
	StmtEndDate   string `json:"stmt_enddate"`
	StmtStatus    string `json:"stmt_status"`
	Memo          string `json:"memo,omitempty"`
}

type JSResult3266TotlLastStmtRsltDetail struct {
	FixBlngAdmdvs string  `json:"fix_blng_admdvs"`
	Insutype      string  `json:"insutype"`
	PsnType       string  `json:"psn_type,omitempty"`
	MedType       string  `json:"med_type"`
	InsuAdmdvs    float64 `json:"insu_admdvs"`
	HifpType      float64 `json:"hifp_type"`
	FixAmt        float64 `json:"fix_amt"`
	HicentAmt     float64 `json:"hicent_amt"`
	StmtDiffAmt   float64 `json:"stmt_diff_amt"`
	StmtRslt      string  `json:"stmt_rslt"`
	StmtLoc       string  `json:"stmt_loc"`
}

type JSResult3267 struct {
	ClrOptins     string `json:"clr_optins"`
	FixmedinsCode string `json:"fixmedins_code"`
	FixmedinsName string `json:"fixmedins_name"`
	FixBlngAdmdvs string `json:"fix_blng_admdvs"`
	SetlMon       string `json:"setl_mon"`
	StmtBegnDate  string `json:"stmt_begndate"`
	StmtEndDate   string `json:"stmt_enddate"`
	StmtStatus    string `json:"stmt_status"`
	Memo          string `json:"memo,omitempty"`
}

type TotlLastStmtRsltDetail struct {
	FixBlngAdmdvs string  `json:"fix_blng_admdvs"`
	Insutype      string  `json:"insutype"`
	PsnType       string  `json:"psn_type,omitempty"`
	MedType       string  `json:"med_type"`
	InsuAdmdvs    float64 `json:"insu_admdvs"`
	HifpType      float64 `json:"hifp_type"`
	FixAmt        float64 `json:"fix_amt"`
	HicentAmt     float64 `json:"hicent_amt"`
	StmtDiffAmt   float64 `json:"stmt_diff_amt"`
	StmtRslt      string  `json:"stmt_rslt"`
	StmtLoc       string  `json:"stmt_loc"`
}

type FixDateRecDetailFileIn struct {
	SetlDate      string  `json:"setl_date"`
	InsuType      string  `json:"insutype"`
	PsnType       string  `json:"psn_type"`
	MedType       string  `json:"med_type"`
	FixBlngAdmdvs string  `json:"fix_blng_admdvs"`
	InsuAdmdvs    string  `json:"insu_admdvs"`
	PsnTime       float64 `json:"psn_time"`
	PsnCnt        float64 `json:"psn_cnt"`
	MedfeeSumamt  float64 `json:"medfee_sumamt"`
	InscpAmt      float64 `json:"inscp_amt"`
	FundPaySumamt float64 `json:"fund_pay_sumamt"`
	FundKey       string  `json:"fund_key"`
}

type JSResult3269 struct {
	SolidifyID    string  `json:"solidify_id"`
	FixmedinsCode string  `json:"fixmedins_code"`
	FixmedinsName string  `json:"fixmedins_name"`
	FixBlngAdmdvs string  `json:"fix_blng_admdvs"`
	SetlMon       string  `json:"setl_mon"`
	Insutype      string  `json:"insutype"`
	PsnType       string  `json:"psn_type,omitempty"`
	MedType       string  `json:"med_type"`
	InsuAdmdvs    string  `json:"insu_admdvs,omitempty"`
	PsnTime       int     `json:"psn_time"`
	PsnCnt        int     `json:"psn_cnt"`
	MedfeeSumAmt  float64 `json:"medfee_sumamt"`
	InscpAmt      float64 `json:"inscp_amt"`
	FundCode      string  `json:"fund_code"`
	FundName      string  `json:"fund_name,omitempty"`
	FundAmt       float64 `json:"fund_amt"`
}

type JSResultEmpty struct {
	Cainfo      interface{} `json:"cainfo"`
	ErrMsg      string      `json:"err_msg"`
	InfRefmsgid string      `json:"inf_refmsgid"`
	Infcode     string      `json:"infcode"`
	Output      struct {
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnMsg     interface{} `json:"warn_msg"`
}

type FundDetail struct {
	FundKey    string `json:"fund_key"`
	SetlDetail string `json:"setl_detail"`
}

type FundInfo struct {
	CrtPaybLmtAmt   float64 `json:"crt_payb_lmt_amt"`
	FundPayType     string  `json:"fund_pay_type"`
	FundPayTypeName string  `json:"fund_pay_type_name"`
	FundPayAmt      float64 `json:"fund_payamt"`
	InscpScpAmt     float64 `json:"inscp_scp_amt"`
	SetlProcInfo    string  `json:"setl_proc_info"`
}
