package models

type PatientScheduleTemplateMode struct {
	ID           int64 `gorm:"column:id" json:"id" form:"id"`
	OrgID        int64 `gorm:"column:org_id" json:"-" form:"org_id"`
	Mode         int8  `gorm:"column:mode" json:"mode" form:"mode"`       // 模式：0.不启用模板 1.单周模板 2.双周模板
	ExecuteTimes int64 `gorm:"column:execute_times" json:"execute_times"` // 已定期执行的次数（每次修改 mode 都重置为0）
	Status       int8  `gorm:"column:status" json:"-" form:"status"`
	CreateTime   int64 `gorm:"column:ctime" json:"-" form:"ctime"`
	ModifyTime   int64 `gorm:"column:mtime" json:"-" form:"mtime"`
}

func (PatientScheduleTemplateMode) TableName() string {
	return "xt_patient_schedule_template_mode"
}

type PatientScheduleTemplateId struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	OrgID      int64 `gorm:"column:org_id" json:"-" form:"org_id"`
	Status     int8  `gorm:"column:status" json:"-" form:"status"`
	CreateTime int64 `gorm:"column:ctime" json:"-" form:"ctime"`
	ModifyTime int64 `gorm:"column:mtime" json:"-" form:"mtime"`
}

func (PatientScheduleTemplateId) TableName() string {
	return "xt_patient_schedule_template_id"
}

type PatientScheduleTemplateItem struct {
	ID             int64 `gorm:"column:id" json:"id" form:"id"`
	OrgID          int64 `gorm:"column:org_id" json:"-" form:"org_id"`
	TemplateID     int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	DeviceNumberID int64 `gorm:"column:device_number_id" json:"device_number_id" form:"device_number_id"`
	PatientID      int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	TreatMode      int64 `gorm:"column:treat_mode" json:"treat_mode" form:"treat_mode"` // 治疗模式
	Weekday        int8  `gorm:"column:weekday" json:"weekday" form:"weekday"`          // 周一-周日 1-7
	TimeType       int8  `gorm:"column:time_type" json:"time_type" form:"time_type"`    // 上下晚 123
	Status         int8  `gorm:"column:status" json:"-" form:"status"`
	CreateTime     int64 `gorm:"column:ctime" json:"-" form:"ctime"`
	ModifyTime     int64 `gorm:"column:mtime" json:"-" form:"mtime"`
	IsExport       int64 `gorm:"column:is_export" json:"is_export" form:"is_export"`
}

func (PatientScheduleTemplateItem) TableName() string {
	return "xt_patient_schedule_template_item"
}
