package models

type CustomDetail struct {
	PrescriptionNumber string
	OrderType          string
	ChargeSerialNumber string
	Code               string
	BwCode			   string
	CodeName           string
	Flag               string
	CustomCode         string
	CustomCodeName     string
	Price              float64
	Count              float64
	ChargeOrderDate    string
	DoctorCode         string
	Total              float64
	DoseCode           string
	Spec               string
	CustomNumber       string
	Unit               string
}

type DrugDetail struct {
	MedicalInsuranceNumber      string  //社保目录编码
	Code                        string  // 药品本位码
	DrugName                    string  //医药机构内部目录名称
	DrugSpec                    string  //规格
	DrugDosageName              string  //剂型
	MinUnit                     string  //计价单位
	ManufacturerName            string  //厂家
	RetailPrice                 float64 //药品收费价格
	LastPrice                   float64 // 药品进货价格
	LimitRemark                 string  //药品备注
	SocialSecurityDirectoryCode string  //社保目录编码
	RecordDate                  string  //备案日期
	PrescriptionMark            string
}
type DocDetail struct {
	UserName                                string //医护姓名
	RoleId                                  string //医护人员类别
	Sex                                     string //性别
	CardType                                string //证件类型
	IdCard                                  string //证件号码
	Phone                                   string //联系电话
	WorkMajorName                           string // 现从事专业名称
	Nation                                  string //民族
	BirthDay                                int64  // 出生日期
	WorkTime                                int64  //参加工作日期
	Education                               string //学历
	StudyMajorName                          string //所学的专业名称
	CertificateCode                         string //bkc323	医（药）师执业证书编码
	MedicalCode                             string //医（药）师资格证编码
	MedicalRangeCode                        string //医师执业范围代码
	MedicalLevel                            string //医生执业资格证中的医师级别
	TypeJob                                 string //医生执业资格证中的执业类别
	DoctorNumber                            string //医保医师编号
	Licensing                               string //多点执业标志
	DoctorServiceStatus                     string //医师医保服务资格状态
	MonitoringLevel                         string //监控等级
	DrugPsychotropicSubstances              string //毒麻精神药品资格
	HealthCareCode                          string // 母婴保健技术考核合格证书编号
	PlanningTechnicalServiceCode            string //计划生育技术服务人员合格证编号
	PharmacistType                          string //药师类别
	PharmacistPracticeCategory              string //药师执业类别
	PharmacistsLicensing                    string //药师执业范围
	PharmacistRegistrationNumber            string //执业药师注册证编号
	OfficeCode                              string //科室编码
	JobNumber                               string //工号
	PostName                                string //职位名称
	TechnicalJobLevelCode                   string //专业技术职务级别编码
	IsActive                                string //在职与否
	PrescriptionQualificationIdentification string //处方资格标识
	IdentificationOutpatients               string //门诊大病医师标识
	OutpatientIllnessCategory               string //门诊大病类别
	StartTime                               int64  //开始日期
	StaffCode                               string //医护人员编码
	EndTime                                 int64  // 结束日期
}

type GoodDetail struct {
	SpecificationName           string
	GoodName                    string
	MinUnit                     string  //计价单位
	ManufacturerName            string  //厂家
	BuyPrice                    float64 //进货价格
	SellPrice                   float64 //出售价格
	SocialSecurityDirectoryCode string  //社保目录编码
	ProductionType              string  //生产地类别
	SpecialMedical              string  //特殊医用材料标识
	Remark                      string  //备注
}

type ProjectDetail struct {
	SocialSecurityDirectoryCode string  //社保目录编码
	ProjectName                 string  //协议机构内部目录名称
	Price                       float64 //协议机构内部项目收费价格
	Category                    string  //协议机构项目类别
	Remark                      string  //备注
}
