package models

type SgjCustomer struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId          int64  `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Mobile          string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Name            string `gorm:"column:name" json:"name" form:"name"`
	Gender          int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ProvinceId      int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId          int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	Address         string `gorm:"column:address" json:"address" form:"address"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	TreatType       int64  `gorm:"column:treat_type" json:"treat_type" form:"treat_type"`
	Relationship    int64  `gorm:"column:relationship" json:"relationship" form:"relationship"`
	IllnessId       int64  `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	WechatOpenid    string `gorm:"column:wechat_openid" json:"wechat_openid" form:"wechat_openid"`
	Membership      int64  `gorm:"column:membership" json:"membership" form:"membership"`
	Sources         int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Avatar          string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	WechatUnionid   string `gorm:"column:wechat_unionid" json:"wechat_unionid" form:"wechat_unionid"`
	Remark          string `gorm:"column:remark" json:"remark" form:"remark"`
	MedicalDiagnose string `gorm:"column:medical_diagnose" json:"medical_diagnose" form:"medical_diagnose"`
	YzUid           int64  `gorm:"column:yz_uid" json:"yz_uid" form:"yz_uid"`
	IllDate         int64  `gorm:"column:ill_date" json:"ill_date" form:"ill_date"`
	DistrictId      int64  `gorm:"column:district_id" json:"district_id" form:"district_id"`
}

func (SgjCustomer) TableName() string {
	return "sgj_user_customer"
}

type SgjUser struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	Password        string `gorm:"column:password" json:"password" form:"password"`
	Mobile          string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Username        string `gorm:"column:username" json:"username" form:"username"`
	Remarkname      string `gorm:"column:remarkname" json:"remarkname" form:"remarkname"`
	Realname        string `gorm:"column:realname" json:"realname" form:"realname"`
	Introduce       string `gorm:"column:introduce" json:"introduce" form:"introduce"`
	Avatar          string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	AvatarThumb     string `gorm:"column:avatar_thumb" json:"avatar_thumb" form:"avatar_thumb"`
	Gender          int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ReceivingPhone  string `gorm:"column:receiving_phone" json:"receiving_phone" form:"receiving_phone"`
	ProvinceId      int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId          int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	DistrictId      int64  `gorm:"column:district_id" json:"district_id" form:"district_id"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Address         string `gorm:"column:address" json:"address" form:"address"`
	Recipient       string `gorm:"column:recipient" json:"recipient" form:"recipient"`
	TreatType       int64  `gorm:"column:treat_type" json:"treat_type" form:"treat_type"`
	Token           string `gorm:"column:token" json:"token" form:"token"`
	Imei            string `gorm:"column:imei" json:"imei" form:"imei"`
	Relationship    int64  `gorm:"column:relationship" json:"relationship" form:"relationship"`
	Platform        string `gorm:"column:platform" json:"platform" form:"platform"`
	IllnessId       int64  `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	Sources         int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	WechatOpenid    string `gorm:"column:wechat_openid" json:"wechat_openid" form:"wechat_openid"`
	MedicalDiagnose string `gorm:"column:medical_diagnose" json:"medical_diagnose" form:"medical_diagnose"`
}

func (SgjUser) TableName() string {
	return "sgj_user_user"
}

type SgjPatientDryweight struct {
	ID            int64   `gorm:"column:id" json:"id" form:"id"`
	DryWeight     float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	Creator       int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Remakes       string  `gorm:"column:remakes" json:"remakes" form:"remakes"`
	PatientId     int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime         int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64   `gorm:"column:status" json:"status" form:"status"`
	AdjustedValue string  `gorm:"column:adjusted_value" json:"adjusted_value" form:"adjusted_value"`
	UserOrgId     int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId        int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
}

func (SgjPatientDryweight) TableName() string {

	return "xt_patient_dryweight"
}

type SgjPatientDryweights struct {
	ID            int64   `gorm:"column:id" json:"id" form:"id"`
	DryWeight     float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	Creator       int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Remakes       string  `gorm:"column:remakes" json:"remakes" form:"remakes"`
	PatientId     int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime         int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64   `gorm:"column:status" json:"status" form:"status"`
	AdjustedValue string  `gorm:"column:adjusted_value" json:"adjusted_value" form:"adjusted_value"`
	UserOrgId     int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId        int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	UserName      string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Name          string  `gorm:"column:name" json:"name" form:"name"`
}

type XtPatientDryweight struct {
	ID            int64   `gorm:"column:id" json:"id" form:"id"`
	DryWeight     float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	Creator       int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Remakes       string  `gorm:"column:remakes" json:"remakes" form:"remakes"`
	PatientId     int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime         int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64   `gorm:"column:status" json:"status" form:"status"`
	AdjustedValue string  `gorm:"column:adjusted_value" json:"adjusted_value" form:"adjusted_value"`
	UserOrgId     int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId        int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	UserName      string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
}

type XtDialysisPrescription struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount" form:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering" form:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode" form:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access" form:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor" form:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id" form:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart" form:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms" form:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set" form:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16" form:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion" form:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised" form:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer" form:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers" form:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector" form:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines" form:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis" form:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package" form:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid" form:"a_liquid"`
	AnticoagulantStopTimeMin   int64   `gorm:"column:anticoagulant_stop_time_min" json:"anticoagulant_stop_time_min" form:"anticoagulant_stop_time_min"`
	AnticoagulantStopTimeHour  int64   `gorm:"column:anticoagulant_stop_time_hour" json:"anticoagulant_stop_time_hour" form:"anticoagulant_stop_time_hour"`
}

func (XtDialysisPrescription) TableName() string {

	return "xt_dialysis_prescription"
}

type XtDialysisPrescriptions struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	MachineType                string  `gorm:"column:machine_type" json:"machine_type" form:"machine_type"`
	DewaterAmount              float64 `gorm:"column:dewater_amount" json:"dewater_amount" form:"dewater_amount"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	PrescriptionDewatering     float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering" form:"prescription_dewatering"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	VascularAccessMode         int64   `gorm:"column:vascular_access_mode" json:"vascular_access_mode" form:"vascular_access_mode"`
	VascularAccess             int64   `gorm:"column:vascular_access" json:"vascular_access" form:"vascular_access"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	PrescriptionDoctor         int64   `gorm:"column:prescription_doctor" json:"prescription_doctor" form:"prescription_doctor"`
	Creater                    int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier                   int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	RecordDate                 int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	RecordId                   int64   `gorm:"column:record_id" json:"record_id" form:"record_id"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	Niprocart                  int64   `gorm:"column:niprocart" json:"niprocart" form:"niprocart"`
	Jms                        int64   `gorm:"column:jms" json:"jms" form:"jms"`
	FistulaNeedleSet           int64   `gorm:"column:fistula_needle_set" json:"fistula_needle_set" form:"fistula_needle_set"`
	FistulaNeedleSet16         int64   `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16" form:"fistula_needle_set_16"`
	Hemoperfusion              int64   `gorm:"column:hemoperfusion" json:"hemoperfusion" form:"hemoperfusion"`
	DialyserSterilised         int64   `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised" form:"dialyser_sterilised"`
	Filtryzer                  int64   `gorm:"column:filtryzer" json:"filtryzer" form:"filtryzer"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
	Dialyzers                  int64   `gorm:"column:dialyzers" json:"dialyzers" form:"dialyzers"`
	Injector                   int64   `gorm:"column:injector" json:"injector" form:"injector"`
	Bloodlines                 int64   `gorm:"column:bloodlines" json:"bloodlines" form:"bloodlines"`
	TubingHemodialysis         int64   `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis" form:"tubing_hemodialysis"`
	Package                    int64   `gorm:"column:package" json:"package" form:"package"`
	ALiquid                    int64   `gorm:"column:a_liquid" json:"a_liquid" form:"a_liquid"`
	UserName                   string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	AnticoagulantStopTimeMin   int64   `gorm:"column:anticoagulant_stop_time_min" json:"anticoagulant_stop_time_min" form:"anticoagulant_stop_time_min"`
	AnticoagulantStopTimeHour  int64   `gorm:"column:anticoagulant_stop_time_hour" json:"anticoagulant_stop_time_hour" form:"anticoagulant_stop_time_hour"`
}

type XtDialysisSolution struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	Name                       string  `gorm:"column:name" json:"name" form:"name"`
	SubName                    string  `gorm:"column:sub_name" json:"sub_name" form:"sub_name"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ParentId                   int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Type                       int64   `gorm:"column:type" json:"type" form:"type"`
	Period                     string  `gorm:"column:period" json:"period" form:"period"`
	Times                      string  `gorm:"column:times" json:"times" form:"times"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeName                   string  `gorm:"column:mode_name" json:"mode_name" form:"mode_name"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	Dewater                    float64 `gorm:"column:dewater" json:"dewater" form:"dewater"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DryWeight                  float64 `gorm:"column:dry_weight" json:"dry_weight" form:"dry_weight"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Doctor                     int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	FirstDialysis              int64   `gorm:"column:first_dialysis" json:"first_dialysis" form:"first_dialysis"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	InitiateMode               int64   `gorm:"column:initiate_mode" json:"initiate_mode" form:"initiate_mode"`
	AffirmState                int64   `gorm:"column:affirm_state" json:"affirm_state" form:"affirm_state"`
	UseState                   int64   `gorm:"column:use_state" json:"use_state" form:"use_state"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	RegistrarsId               int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SolutionType               int64   `gorm:"column:solution_type" json:"solution_type" form:"solution_type"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialyzer"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total" form:"replacement_total"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid" form:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine" form:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other" form:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part" form:"displace_liqui_part"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value" form:"displace_liqui_value"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access" form:"blood_access"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration" form:"ultrafiltration"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other" form:"body_fluid_other"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv" form:"target_ktv"`
}

func (XtDialysisSolution) TableName() string {

	return "xt_dialysis_solution"
}

type XtPatientRescueRecords struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserName   string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Name       string `gorm:"column:name" json:"name" form:"name"`
}

type XtPatientRescueRecord struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtPatientRescueRecord) TableName() string {

	return "xt_patient_rescue_record"
}

type XtScheduless struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64  `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Number       string `gorm:"column:number" json:"number"`
	Name         string `gorm:"column:name" json:"name"`
}

type XtSchedules struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64  `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Number       string `gorm:"column:number" json:"number"`
	Name         string `gorm:"column:name" json:"name"`
}

func (XtSchedules) TableName() string {

	return "xt_schedule"
}

type XtTreatmentSummarys struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId         int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AssessmentDate    int64  `gorm:"column:assessment_date" json:"assessment_date" form:"assessment_date"`
	DialysisOrderId   int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	Mission           string `gorm:"column:mission" json:"mission" form:"mission"`
	DialysisSummary   string `gorm:"column:dialysis_summary" json:"dialysis_summary" form:"dialysis_summary"`
	Change            int64  `gorm:"column:change" json:"change" form:"change"`
	SjNurse           int64  `gorm:"column:sj_nurse" json:"sj_nurse" form:"sj_nurse"`
	ZlNurse           int64  `gorm:"column:zl_nurse" json:"zl_nurse" form:"zl_nurse"`
	HdNurse           int64  `gorm:"column:hd_nurse" json:"hd_nurse" form:"hd_nurse"`
	XjNurse           int64  `gorm:"column:xj_nurse" json:"xj_nurse" form:"xj_nurse"`
	ZlDoctor          int64  `gorm:"column:zl_doctor" json:"zl_doctor" form:"zl_doctor"`
	ChannelImage      string `gorm:"column:channel_image" json:"channel_image" form:"channel_image"`
	Puncture          string `gorm:"column:puncture" json:"puncture" form:"puncture"`
	PunctureNeedle    string `gorm:"column:puncture_needle" json:"puncture_needle" form:"puncture_needle"`
	PunctureDirection string `gorm:"column:puncture_direction" json:"puncture_direction" form:"puncture_direction"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime       int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime       int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Creater           int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier          int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Name              string `gorm:"column:name" json:"name"`
}

type XtTreatmentSummary struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId         int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AssessmentDate    int64  `gorm:"column:assessment_date" json:"assessment_date" form:"assessment_date"`
	DialysisOrderId   int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	Mission           string `gorm:"column:mission" json:"mission" form:"mission"`
	DialysisSummary   string `gorm:"column:dialysis_summary" json:"dialysis_summary" form:"dialysis_summary"`
	Change            int64  `gorm:"column:change" json:"change" form:"change"`
	SjNurse           int64  `gorm:"column:sj_nurse" json:"sj_nurse" form:"sj_nurse"`
	ZlNurse           int64  `gorm:"column:zl_nurse" json:"zl_nurse" form:"zl_nurse"`
	HdNurse           int64  `gorm:"column:hd_nurse" json:"hd_nurse" form:"hd_nurse"`
	XjNurse           int64  `gorm:"column:xj_nurse" json:"xj_nurse" form:"xj_nurse"`
	ZlDoctor          int64  `gorm:"column:zl_doctor" json:"zl_doctor" form:"zl_doctor"`
	ChannelImage      string `gorm:"column:channel_image" json:"channel_image" form:"channel_image"`
	Puncture          string `gorm:"column:puncture" json:"puncture" form:"puncture"`
	PunctureNeedle    string `gorm:"column:puncture_needle" json:"puncture_needle" form:"puncture_needle"`
	PunctureDirection string `gorm:"column:puncture_direction" json:"puncture_direction" form:"puncture_direction"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime       int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime       int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Creater           int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier          int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	NursingRecord     string `gorm:"column:nursing_record" json:"nursing_record" form:"nursing_record"`
	SpecialRecord     string `gorm:"column:special_record" json:"special_record" form:"special_record"`
}

func (XtTreatmentSummary) TableName() string {

	return "xt_treatment_summary"
}
